#include <stdint.h>
#include "console.h"
#include "driver_chardevice.h"
#include "drivers.h"
#include "driver_system.h"
#include "hardware.h"

static int sget_char(driver_chardevice* this);
static int sput_char(driver_chardevice* this,int chr);

static void init(driver *this);

driver_chardevice* console_new(driver_chardevice *this, driver_serial *out_ref)
{
	this->out_ref = out_ref;
	this->get_char = sget_char;
	this->put_char = sput_char;
	this->driver.active = 1;
	this->driver.awake = 1;
	this->driver.extended = 0;
	this->driver.init = init;
	return this;
}

static void init(driver *this){
	driver_chardevice* me = (driver_chardevice*) this;
	me->inbuffer.read_pointer = 0;
	me->inbuffer.write_pointer = 0;
	me->inbuffer.size = 0;
}

int sget_char(driver_chardevice* this)
{
	driver_chardevice* me = (driver_chardevice*) this;
	if (!me->inbuffer.size)
		return 0;
	if (me->inbuffer.read_pointer == UART_BUFFER_SIZE){
		me->inbuffer.read_pointer = 0;
	}
	me->inbuffer.size--;
	if (me->inbuffer.size==0 && std_devices->stdio_device==this) mEventFlags.Bits.char_in=0;
	return me->inbuffer.buffer[me->inbuffer.read_pointer++];
}

	static char prev = 0;

static int sput_char(driver_chardevice* this,int chr)
{
    if (chr == '\n' && prev != '\r') this->out_ref->put_char((driver*)this->out_ref,'\r');
    this->out_ref->put_char((driver*)this->out_ref,chr);
    prev = chr;
	return chr;	
}

inline void console_char_in(driver* this,int chr)
{
	driver_chardevice *me = (driver_chardevice*)this;
	// Adjust pointer if needed
	if (chr == 27) {
		McuReset();
	}
	if (me->inbuffer.write_pointer == UART_BUFFER_SIZE){
		me->inbuffer.write_pointer = 0;
	}
	me->inbuffer.buffer[me->inbuffer.write_pointer++] = (char)chr;
	me->inbuffer.size++;
	if (std_devices->stdio_device==me){
		 mEventFlags.Bits.char_in=1;
	}
}
