#ifndef DRIVER_CHARDEVICE_H_
#define DRIVER_CHARDEVICE_H_
#include "drivers.h"

typedef struct driver_chardevice driver_chardevice;

typedef int (*chardevice_cb_put_t)(driver_chardevice*,int);
typedef int (*chardevice_cb_get_t)(driver_chardevice*);

/* Private declarations */
#define UART_BUFFER_SIZE 32

typedef struct fifo{
	char buffer[UART_BUFFER_SIZE];
	volatile uint8_t read_pointer;
	volatile uint8_t write_pointer;
	volatile uint8_t size;
}fifo;

struct driver_chardevice
{
	driver driver;
	fifo inbuffer;
	chardevice_cb_get_t get_char;
	chardevice_cb_put_t put_char;
	driver_serial *out_ref;
};

#endif /*DRIVER_CHARDEVICE_H_*/
