/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/* As a special exception, if you include this header file into source
   files compiled by GCC, this header file does not by itself cause
   the resulting executable to be covered by the GNU General Public
   License.  This exception does not however invalidate any other
   reasons why the executable file might be covered by the GNU General
   Public License.  */

#include "config.h"
#ifdef INCLUDE_DISPLAY
/*
    created with FontEditor written by H. Reddmann
    HaReddmann at t-online dot de

    File Name           : f9x14.h
    Date                : 1.10.2004
    Font size in bytes  : 0x05FE, 1534
    Font width          : 9
    Font height         : 14
    Font first char     : 0x20
    Font last char      : 0xFC
    Font bits per pixel : 1
    Font is compressed  : false

    The font data are defined as

    struct _FONT_ {
     // common shared fields
       uint16_t    font_Size_in_Bytes_over_all_included_Size_it_self;
       uint8_t     font_Width_in_Pixel_for_fixed_drawing;
       uint8_t     font_Height_in_Pixel_for_all_Characters;
       uint8_t     font_Bits_per_Pixels;
                    // if MSB are set then font is a compressed font
       uint8_t     font_First_Char;
       uint8_t     font_Last_Char;
       uint8_t     font_Char_Widths[font_Last_Char - font_First_Char +1];
                    // for each character the separate width in pixels,
                    // characters < 128 have an implicit virtual right empty row
                    // characters with font_Char_Widths[] == 0 are undefined

     // if compressed font then additional fields
       uint8_t     font_Byte_Padding;
                    // each Char in the table are aligned in size to this value
       uint8_t     font_RLE_Table[3];
                    // Run Length Encoding Table for compression
       uint8_t     font_Char_Size_in_Bytes[font_Last_Char - font_First_Char +1];
                    // for each char the size in (bytes / font_Byte_Padding) are stored,
                    // this get us the table to seek to the right beginning of each char
                    // in the font_data[].

     // for compressed and uncompressed fonts
       uint8_t     font_data[];
                    // bit field of all characters
    }
*/

#ifndef f9x14_H
#define f9x14_H

#include "type.h"

#define f9x14_WIDTH 9
#define f9x14_HEIGHT 14

extern const uint8_t f9x14[];
extern const uint8_t smallNumbers[];
extern const uint8_t bigNumbers[];

#endif
#endif
