/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/* As a special exception, if you include this header file into source
   files compiled by GCC, this header file does not by itself cause
   the resulting executable to be covered by the GNU General Public
   License.  This exception does not however invalidate any other
   reasons why the executable file might be covered by the GNU General
   Public License.  */

#ifndef CC1100_DEFINES_H_
#define CC1100_DEFINES_H_

#include <msp430x16x.h>

#define CC1100_CS_LOW		(P3OUT &= ~0x01)
#define CC1100_CS_HIGH		(P3OUT |= 0x01)

#define CC1100_GDO0         (P2IN & 0x02)	// read serial I/O (GDO0)
#define CC1100_GDO1         (P3IN & 0x04)	// read serial I/O (GDO1)
#define CC1100_GDO2         (P2IN & 0x01)	// read serial I/O (GDO2)

// XOSC startup + FS calibration (300 + 809 us  ~ 1.38 ms)
#define FS_CAL_TIME 12
#define RESET_WAIT_TIME 4
#define FS_CAL_MAN_TIME 7
#define RX_2_CS_TIME 3
#define CC1100_IDLE_TO_RX_TIME 1

#define TIMER_TICK_USEC_RES 122

#endif /*CC1100_DEFINES_H_*/
