/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include <msp430x16x.h>
#include <signal.h>
#include "std_defines.h"
#include "driver_system.h"
#include "firmware.h"
#include "driver_timer.h"
#include "smallib.h"

volatile eventFlags mEventFlags;
volatile h_config hardware_config;
volatile state_info system_state;

void alarm(void)
{
	yellowLedOn();
	greenLedOn();
	redLed2On();
	while (1)
	{
		greenLedToggle();
		yellowLedToggle();
		redLed2Toggle();
		_wait(5000);
	}
}

void Led1On(void)
{
	redLedOn();
}

void Led1Off(void)
{
	redLedOff();
}

void Led1Toggle(void)
{
	redLedToggle();
}

void Led2On(void)
{
	redLed2On();
}

void Led2Off(void)
{
	redLed2Off();
}

void Led2Toggle(void)
{
	redLed2Toggle();
}

void Led3On(void)
{
	greenLedOn();
}

void Led3Off(void)
{
	greenLedOff();
}

void Led3Toggle(void)
{
	greenLedToggle();
}

void Led4On(void)
{
	yellowLedOn();
}

void Led4Off(void)
{
	yellowLedOff();
}

void Led4Toggle(void)
{
	yellowLedToggle();
}

inline void redLedOn(void)
{
	CLEAR(P5OUT, 0x80);
}

inline void redLedOff(void)
{
	SET(P5OUT, 0x80);
}

inline void redLedToggle(void)
{
	P5OUT ^= 0x80;
}

inline void redLed2On(void)
{
	CLEAR(P4OUT, 0x04);
}

inline void redLed2Off(void)
{
	SET(P4OUT, 0x04);
}

inline void redLed2Toggle(void)
{
	P4OUT ^= 0x04;
}

inline void greenLedOn(void)
{
	CLEAR(P4OUT, 0x01);
}


inline void greenLedOff(void)
{
	SET(P4OUT, 0x01);
}

inline void greenLedToggle(void)
{
	P4OUT ^= 0x01;
}

inline void yellowLedOn(void)
{
	
}

inline void yellowLedOff(void)
{
	
}

inline void yellowLedToggle(void)
{
	
}

unsigned int getADCSample(void) {
	ADC12CTL0 = ADC12ON;
	ADC12MCTL0 |= INCH_10;
	ADC12CTL0 |= ENC + ADC12SC;
	ADC12CTL0 &= ~ADC12SC;
	while (ADC12CTL1 & ADC12BUSY);
	ADC12CTL0 = 0;
	return ADC12MEM0;
	return 0;
}
