package carrera.data;

import carrera.Main;

/**
 *
 * @author hillebra
 */
public class GameModeSwitcher implements Runnable {

    private Main main;
    private Thread t;
    private int time;
    
    public GameModeSwitcher(Main main, int time) {
        this.main = main;
        this.time = time;
    }

    public void start() {
        t = new Thread(this);
        t.start();
    }
    
    public void stop() {
        if (t != null) {
            t.interrupt();
        }
    }
    
    @Override
    public synchronized void run() {
        boolean ie = false;
        while (!ie && !t.isInterrupted()) {
            switch (main.getGameMode()) {
                case CarreraGames.MODE_DISPLAY_BOOTSCREEN:
                    main.setGameMode(CarreraGames.MODE_DISPLAY_HIGH_SCORE);
                    break;
                default:
                    main.setGameMode(CarreraGames.MODE_DISPLAY_BOOTSCREEN);
                    break;
            }
            try { ie = false; Thread.sleep(time * 1000); } catch (InterruptedException e) { ie = true; }
        }
    }

}
