package carrera.dialog;

import carrera.Main;

/**
 *
 * @author  hillebra
 */
public class OptionDialog extends javax.swing.JDialog {

    private Main main;
    
    /** Creates new form OptionDialog */
    public OptionDialog(java.awt.Frame parent, boolean modal, Main main) {
        super(parent, modal);
        this.main = main;
        initComponents();
        getRootPane().setDefaultButton(bOk);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        minSpeed = new javax.swing.JSlider();
        maxSpeed = new javax.swing.JSlider();
        sBreakTime = new javax.swing.JSpinner();
        jLabel4 = new javax.swing.JLabel();
        bCancel = new javax.swing.JButton();
        bOk = new javax.swing.JButton();
        cbShowBT = new javax.swing.JCheckBox();
        cbShowBT.setSelected(main.isShowBT());
        jLabel5 = new javax.swing.JLabel();
        sXThreshold = new javax.swing.JSpinner();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Einstellungen");
        setResizable(false);
        getContentPane().setLayout(null);

        jLabel1.setText("V-Break");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(30, 20, 37, 14);

        jLabel2.setText("V-Drive");
        getContentPane().add(jLabel2);
        jLabel2.setBounds(30, 80, 35, 14);

        jLabel3.setText("Break-Time");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(30, 140, 53, 14);

        minSpeed.setMajorTickSpacing(5);
        minSpeed.setMaximum(10);
        minSpeed.setMinorTickSpacing(1);
        minSpeed.setPaintLabels(true);
        minSpeed.setPaintTicks(true);
        minSpeed.setSnapToTicks(true);
        minSpeed.setValue(5);
        minSpeed.setValue(main.getMinSpeed());
        getContentPane().add(minSpeed);
        minSpeed.setBounds(110, 10, 240, 60);

        maxSpeed.setMajorTickSpacing(5);
        maxSpeed.setMaximum(20);
        maxSpeed.setMinorTickSpacing(1);
        maxSpeed.setPaintLabels(true);
        maxSpeed.setPaintTicks(true);
        maxSpeed.setSnapToTicks(true);
        maxSpeed.setValue(14);
        maxSpeed.setValue(main.getMaxSpeed());
        getContentPane().add(maxSpeed);
        maxSpeed.setBounds(110, 70, 240, 60);

        sBreakTime.setModel(new javax.swing.SpinnerNumberModel(600, 250, 9999, 1));
        sBreakTime.setValue(main.getBreakTime());
        getContentPane().add(sBreakTime);
        sBreakTime.setBounds(120, 140, 70, 18);

        jLabel4.setText("x 120 us");
        getContentPane().add(jLabel4);
        jLabel4.setBounds(200, 140, 41, 14);

        bCancel.setText("Abbrechen");
        bCancel.setMargin(new java.awt.Insets(2, 5, 2, 5));
        bCancel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bCancelActionPerformed(evt);
            }
        });
        getContentPane().add(bCancel);
        bCancel.setBounds(200, 250, 80, 23);

        bOk.setText("OK");
        bOk.setMargin(new java.awt.Insets(2, 5, 2, 5));
        bOk.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bOkActionPerformed(evt);
            }
        });
        getContentPane().add(bOk);
        bOk.setBounds(110, 250, 80, 23);

        cbShowBT.setText("Gas/Bremsverhalten des Autos anzeigen (falls unterstuetzt)");
        getContentPane().add(cbShowBT);
        cbShowBT.setBounds(30, 210, 313, 23);

        jLabel5.setText("X-Threshold");
        getContentPane().add(jLabel5);
        jLabel5.setBounds(30, 180, 70, 14);

        sXThreshold.setModel(new javax.swing.SpinnerNumberModel(700, 200, 1200, 1));
        sXThreshold.setValue(main.getXThreshold());
        getContentPane().add(sXThreshold);
        sXThreshold.setBounds(120, 180, 70, 18);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-387)/2, (screenSize.height-314)/2, 387, 314);
    }// </editor-fold>//GEN-END:initComponents

private void bCancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bCancelActionPerformed
    dispose();
}//GEN-LAST:event_bCancelActionPerformed

private void bOkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bOkActionPerformed
    main.setProperties(
        maxSpeed.getValue(),
        minSpeed.getValue(),
        ((Integer)sBreakTime.getValue()).intValue(),
        ((Integer)sXThreshold.getValue()).intValue(),
        cbShowBT.isSelected());
    dispose();
}//GEN-LAST:event_bOkActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bCancel;
    private javax.swing.JButton bOk;
    private javax.swing.JCheckBox cbShowBT;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JSlider maxSpeed;
    private javax.swing.JSlider minSpeed;
    private javax.swing.JSpinner sBreakTime;
    private javax.swing.JSpinner sXThreshold;
    // End of variables declaration//GEN-END:variables

}
