package carrera.serial;

/**
 * Default Einstellungen f�r eine neue serielle Verbindung.
 * 
 * @version 1.0, 2008-01-14
 * @author  Thomas Hillebrandt
 * @since   1.0
 */
public class SerialConnectionDefaults {

    /** Die Baudrate */
    private int baudrate;
    
    /** Datenbits */
    private int databits;
    
    /** Stoppbits */
    private int stopbits;
    
    /** Die Parit�t */
    private int parity;
    
    /**
     * Erzeugt ein neues <code>SerialConnectionDefaults</code>-Objekt.
     * 
     * @param baudrate Die Baudrate.
     * @param databits Datenbits.
     * @param stopbits Stoppbits.
     * @param parity Die Parit�t.
     */
    public SerialConnectionDefaults(int baudrate, int databits, int stopbits, int parity) {
        this.baudrate = baudrate;
        this.databits = databits;
        this.stopbits = stopbits;
        this.parity = parity;
    }
    
    @Override
    public String toString() {
        return "[baudrate="+baudrate+", databits="+databits+"," +
                " stopbits="+stopbits+", parity="+parity+"]";
    }

    public int getBaudrate() {
        return baudrate;
    }

    public void setBaudrate(int baudrate) {
        this.baudrate = baudrate;
    }

    public int getDatabits() {
        return databits;
    }

    public void setDatabits(int databits) {
        this.databits = databits;
    }

    public int getStopbits() {
        return stopbits;
    }

    public void setStopbits(int stopbits) {
        this.stopbits = stopbits;
    }

    public int getParity() {
        return parity;
    }

    public void setParity(int parity) {
        this.parity = parity;
    }
    
}
