package carrera.serial;

/**
 * Einstellungen f�r eine neue serielle Verbindung.
 * 
 * @version 1.0, 2008-01-14
 * @author  Thomas Hillebrandt
 * @since   1.0
 */
public class SerialConnectionProperties extends SerialConnectionDefaults {

    /** Der Port */
    private String port;
    
    /**
     * Erzeugt ein neues <code>SerialConnectionProperties</code>-Objekt.
     * 
     * @param port Der Port.
     * @param baudrate Die Baudrate.
     * @param databits Datenbits.
     * @param stopbits Stoppbits.
     * @param parity Die Parit�t.
     */
    public SerialConnectionProperties(String port, int baudrate, int databits, int stopbits, int parity) {
        super(baudrate, databits, stopbits, parity);
        this.port = port;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }
    
}
